﻿Public Class _Default
    Inherits Page
    Private order As New List(Of Orders)()
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        BindDataSource()
    End Sub

    Private Sub BindDataSource()
        Dim orderId As Integer = 10000
        Dim empId As Integer = 0
        Dim i As Integer = 1
        While i < 9
            order.Add(New Orders(orderId + 1, "VINET", empId + 1, 32.38, "2015-03-25T00:00:00.000Z", "Reims"))
            order.Add(New Orders(orderId + 2, "TOMSP", empId + 2, 11.61, "2015-03-25T00:00:00.000Z", "Munster"))
            order.Add(New Orders(orderId + 3, "ANATER", empId + 3, 45.34, "2015-03-25T00:00:00.000Z", "Berlin"))
            order.Add(New Orders(orderId + 4, "ALFKI", empId + 4, 37.28, "2015-03-25T00:00:00.000Z", "Mexico"))
            order.Add(New Orders(orderId + 5, "FRGYE", empId + 5, 67.0, "2015-03-25T00:00:00.000Z", "Colchester"))
            order.Add(New Orders(orderId + 6, "JGERT", empId + 6, 23.32, "2015-03-25T00:00:00.000Z", "Newyork"))
            orderId += 6
            empId += 6
            System.Math.Max(System.Threading.Interlocked.Increment(i), i - 1)
        End While
        Me.Grid.DataSource = order
        Me.Grid.DataBind()
    End Sub

    <Serializable> _
    Public Class Orders
        Public Sub New()
        End Sub
        Public Sub New(orderId As Integer, customerId As String, empId As Integer, freight As Double, orderDate As String, shipCity As String)
            Me.OrderID = orderId
            Me.CustomerID = customerId
            Me.EmployeeID = empId
            Me.Freight = freight
            Me.OrderDate = orderDate
            Me.ShipCity = shipCity
        End Sub
        Public Property OrderID() As Integer
        Public Property CustomerID() As String
        Public Property EmployeeID() As Integer
        Public Property Freight() As Double
        Public Property OrderDate() As String
        Public Property ShipCity() As String
    End Class
End Class